# Uses of Interface
org.opensaml.soap.wstrust.Participant

Packages that use Participant
Package
Description
org.opensaml.soap.wstrust
XMLObject interfaces for WS-Trust 1.3 elements.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of Participant in org.opensaml.soap.wstrust

Methods in org.opensaml.soap.wstrust that return types with arguments of type Participant
Modifier and Type
Method
Description
`List<Participant>`
Participants.`getParticipants()`
Returns the list of wst:Participant child elements .

## Uses of Participant in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement Participant
Modifier and Type
Class
Description
`class`
`ParticipantImpl`
ParticipantImpl.
Fields in org.opensaml.soap.wstrust.impl with type parameters of type Participant
Modifier and Type
Field
Description
`private final List<Participant>`
ParticipantsImpl.`participants`
The list of `Participant` child elements.
Methods in org.opensaml.soap.wstrust.impl that return Participant
Modifier and Type
Method
Description
`Participant`
ParticipantBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`Participant`
ParticipantBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.soap.wstrust.impl that return types with arguments of type Participant
Modifier and Type
Method
Description
`List<Participant>`
ParticipantsImpl.`getParticipants()`
Returns the list of wst:Participant child elements .